#
# Methodology used to display the mapping data transformations
#

%hidden=true

Object {
Attributes
	!ElementType;
	-Name;
	-ID;
}

Element {
Attributes
	Description;
}

########################################################
# Repository metadata (Inherits from RepositoryObject) #
########################################################

##############################################
# Model metadata (inherits from ModelObject) #
##############################################

ModelObject {
Attributes
	!PhysicalID;
	!PhysicalName;
	!Status;
	!Comment;
	!DesignLevel;
	!Stereotype;
#could hide the links but none should exist
}

Type {
Links
	!Model;
	!AliasType;
	!Feature;
	!Argument;
	!Operation;
}

Class="Library" {
Attributes
	!CppClassType;
	!CppScope;
	!CppConcurrency;
	!CppAbstract;
	!CppPersistent;
	!CppMultiplicity;
	!CppSpace;
	!DimensionalType;
	!DimensionalRole;
#could hide the links but none should exist
Icons
	icon = "icons/MIR/DesignPackage.gif";
}

Model {
Attributes
	!CreationTime;
Links
#could hide more links but there should not be any
	!Type;
}

DesignPackage="Folder" {
Attributes
    !UserDefined;
Links
	Package.Child="";
Icons
	icon = "icons/MIR/Folder.gif";
}

Operation {
Attributes
	!CppScope;
	!CppConcurrency;
	!CppAbstract;
	!CppFriend;
	!CppStatic;
	!CppVirtual;
	!Semantics;
	!Precondition;
	!Postcondition;
Links
	Argument;
	+Type.Return;
}

Argument {
Links
	!Operation;
	!Class.Parameterized;
	+Type;
}








